#
# spec file for package libqt5-qtwebkit
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

%define libname libQt5WebKitWidgets5

Name:           libqt5-qtwebkit
Version:        5.6.1
Release:        2.19
%define base_name libqt5
%define real_version 5.6.1
%define so_version 5.6.1
%define tar_version qtwebkit-opensource-src-%{real_version}
# Workaround ppc64le build failures due to OOM issue, bnc#863533
%ifarch ppc64le
%define make_jobs /usr/bin/make -j4 VERBOSE=1
%endif
Summary:        Qt 5 WebKit Library
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            http://qt.digia.com
Source:         %{tar_version}.tar.xz
Source1:        baselibs.conf
Source99:       libqt5-qtwebkit-rpmlintrc
Patch1:         04_enable_debug_information.diff
# PATCH-FIX-OPENSUSE 03_hide_std_symbols.diff asterios.dramis@gmail.com -- Do not make the std:: symbols in webkit public (taken from Ubuntu)
Patch2:         03_hide_std_symbols.diff
Patch3:         reduce-link-optimization.diff
Patch4:         7dac8c2d5f743563df76c2347c6ad394b6779ffc.patch
# PATCH-FIX-OPENSUSE 05-fix-linker-errors.diff cgiboudeaux@gmx.com -- Fix linking errors
Patch5:         05-fix-linker-errors.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch130:       no-Werror-rpath.diff

BuildRequires:  libQt5Core-private-headers-devel >= %{version}
BuildRequires:  libQt5Gui-private-headers-devel >= %{version}
BuildRequires:  libQt5Widgets-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtdeclarative-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtlocation-private-headers-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Location) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:  pkgconfig(Qt5PrintSupport) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Sensors) >= %{version}
BuildRequires:  pkgconfig(Qt5Sql) >= %{version}
BuildRequires:  pkgconfig(Qt5Test) >= %{version}
BuildRequires:  pkgconfig(Qt5WebChannel) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
%if 0%{?suse_version} < 1315
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-app-0.10)
BuildRequires:  pkgconfig(gstreamer-base-0.10)
BuildRequires:  pkgconfig(gstreamer-interfaces-0.10)
BuildRequires:  pkgconfig(gstreamer-pbutils-0.10)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  pkgconfig(gstreamer-video-0.10)
%else
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
%endif
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-xml
BuildRequires:  ruby
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(zlib)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  procps
BuildRequires:  xz
BuildRequires:  pkgconfig(libwebp)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%prep
%setup -q -n qtwebkit-opensource-src-%{real_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -Rp1
%patch5 -p1
%patch130 -p1

%package -n %libname
Summary:        Qt 5 WebKit Library
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5 = %version
%requires_ge libQt5OpenGL5
%requires_ge libQt5PrintSupport5
%requires_ge libQt5Widgets5

%description -n %libname
Qt is a set of libraries for developing applications.

This package contains base tools, like string, xml, and network
handling.

%package -n libQt5WebKit5
Summary:        Qt5 WebKit Library
Group:          Development/Libraries/X11
%requires_ge libQt5Gui5
%requires_ge libQt5Network5
%requires_ge libQt5Positioning5
%requires_ge libQt5Sensors5
%requires_ge libQt5Sql5
%requires_ge libQt5WebChannel5

%description -n libQt5WebKit5
You need this package, if you want to compile programs with qtwebkit.

%package -n libQt5WebKit5-imports
Summary:        Qt5 WebKit Library - QML imports
Group:          Development/Libraries/X11
Supplements:    packageand(libQt5WebKit5:libQtQuick5)
# imports splited with 5.4.1
Conflicts:      libQt5WebKit5 < 5.4.1
Requires:       libQt5WebKit5 = %version
%requires_ge libQtQuick5

%description -n libQt5WebKit5-imports
You need this package, if you want to compile programs with qtwebkit.

%package -n libQt5WebKitWidgets-devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
Requires:       %libname = %{version}
Requires:       libQt5WebKit5-devel = %{version}
Requires:       libqt5-qtdeclarative-devel >= %{version}
Requires:       libqt5-qtsensors-devel >= %{version}

%description -n libQt5WebKitWidgets-devel
You need this package, if you want to compile programs with qtwebkit.

%package -n libQt5WebKit5-devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5 = %version
Requires:       pkgconfig(Qt5Core) >= %version
Requires:       pkgconfig(Qt5Gui) >= %version
Requires:       pkgconfig(Qt5Network) >= %version
Requires:       pkgconfig(Qt5Qml) >= %version
Requires:       pkgconfig(Qt5Quick) >= %version
Requires:       pkgconfig(Qt5Sensors) >= %version
Requires:       pkgconfig(Qt5Sql) >= %version

%description -n libQt5WebKit5-devel
You need this package, if you want to compile programs with qtwebkit.

%package -n libQt5WebKitWidgets-private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       libQt5WebKit-private-headers-devel = %{version}
Requires:       libQt5WebKitWidgets-devel = %{version}

%description -n libQt5WebKitWidgets-private-headers-devel
This package provides private headers of libqt5-qtwebkit that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package -n libQt5WebKit-private-headers-devel
Summary:        Non-ABI stable experimental API
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       libQt5WebKit5-devel = %{version}

%description -n libQt5WebKit-private-headers-devel
This package provides private headers of libqt5-qtwebkit that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
Requires:       libQt5WebKit5-devel = %{version}
Requires:       libQt5WebKitWidgets-devel = %{version}

%description devel
You need this package, if you want to compile programs with qtwebkit.
This package pulls in development files for both libQt5WebKit and
libQt5WebKitWidgets libraries.

%package private-headers-devel
Summary:        Qt Development Kit
Group:          Development/Libraries/X11
BuildArch:      noarch
Requires:       libQt5WebKit-private-headers-devel = %{version}
Requires:       libQt5WebKitWidgets-private-headers-devel = %{version}

%description private-headers-devel
You need this package, if you want to compile programs with qtwebkit.
This package pulls in private headers for both libQt5WebKit and
libQt5WebKitWidgets libraries.


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n libQt5WebKit5 -p /sbin/ldconfig

%postun -n libQt5WebKit5 -p /sbin/ldconfig

%build
#if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
#endif
export QMAKEPATH=`pwd`
RPM_OPT_FLAGS="$RPM_OPT_FLAGS "
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-g / /}
export LDFLAGS="$LDFLAGS -Wl,--reduce-memory-overheads -Wl,--no-keep-memory -Wl,--as-needed"
export PATH=%{_libqt5_bindir}:$PATH
%ifarch aarch64 ppc ppc64 ppc64le s390 s390x
%_libqt5_qmake DEFINES+=ENABLE_JIT=0 DEFINES+=ENABLE_YARR_JIT=0 DEFINES+=ENABLE_ASSEMBLER=0
%else
%_libqt5_qmake
%endif
%make_jobs

%install
%qmake5_install
find %{buildroot}/%{_libqt5_libdir} -type f -name '*la' -print -exec perl -pi -e 's,-L%{_builddir}/\S+,,g' {} \;
find %{buildroot}/%{_libqt5_libdir} -type f -name '*pc' -print -exec perl -pi -e "s, -L$RPM_BUILD_DIR/?\S+,,g" {} \; -exec sed -i -e "s,^moc_location=.*,moc_location=%{_lib}qt5_bindir/moc," -e "s,uic_location=.*,uic_location=%{_lib}qt5_bindir/uic," {} \;
find %{buildroot}/%{_libqt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;

# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%files -n %libname
%defattr(-,root,root,755)
%doc LICENSE.*
%dir %{_libqt5_libexecdir}
%{_libqt5_libexecdir}/QtWebProcess
%{_libqt5_libdir}/libQt5WebKitWidgets.so.*

%files -n libQt5WebKit5
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_libdir}/libQt5WebKit.so.*
%{_libqt5_libexecdir}/QtWebPluginProcess

%files -n libQt5WebKit5-imports
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_archdatadir}/qml/QtWebKit

%files -n libQt5WebKitWidgets-private-headers-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_includedir}/QtWebKitWidgets/%{so_version}

%files -n libQt5WebKit-private-headers-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%{_libqt5_includedir}/QtWebKit/%{so_version}

%files -n libQt5WebKit5-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%exclude %{_libqt5_includedir}/QtWebKit/%{so_version}
%{_libqt5_includedir}/QtWebKit
%{_libqt5_libdir}/cmake/Qt5WebKit
%{_libqt5_libdir}/libQt5WebKit.prl
%{_libqt5_libdir}/libQt5WebKit.so
%{_libqt5_libdir}/pkgconfig/Qt5WebKit.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkit.pri
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkit_private.pri

%files -n libQt5WebKitWidgets-devel
%defattr(-,root,root,755)
%doc LICENSE.*
%exclude %{_libqt5_includedir}/QtWebKitWidgets/%{so_version}
%{_libqt5_includedir}/QtWebKitWidgets
%{_libqt5_libdir}/cmake/Qt5WebKitWidgets
%{_libqt5_libdir}/libQt5WebKitWidgets.prl
%{_libqt5_libdir}/libQt5WebKitWidgets.so
%{_libqt5_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkitwidgets.pri
%{_libqt5_archdatadir}/mkspecs/modules/qt_lib_webkitwidgets_private.pri

%changelog
* Tue Jun 14 2016 mlin@suse.com
- Update to 5.6.1 (boo#984605)
  * For more details please see:
    http://blog.qt.io/blog/2016/06/08/qt-5-6-1-released/
* Fri Apr  8 2016 alarrosa@suse.com
- Updated Qt to 5.6.0, a LTS release (fate#320330)
* Fri Mar 18 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    http://blog.qt.io/blog/2016/03/16/qt-5-6-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.6
- Swap link-qtcore.patch with 7dac8c2d5f743563df76c2347c6ad394b6779ffc.patch
- Added 05-fix-linker-errors.diff: Explicitly link pthread, before
  it was pulled in via external deps
* Wed Feb  3 2016 alarrosa@suse.com
- [ECO] Update Qt5 to version 5.5.1 (fate#319961, bnc#964864)
* Wed Oct 21 2015 normand@linux.vnet.ibm.com
- _constraints adding ppc64le constraint of memory and disk space
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1
  * For more details please see:
    http://blog.qt.io/blog/2015/10/15/qt-5-5-1-released/
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
    and https://wiki.qt.io/New_Features_in_Qt_5.5
- Added link-qtcore.patch
* Wed Jun  3 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2
  * Bugfix release, for more details please see:
    http://blog.qt.io/blog/2015/06/02/qt-5-4-2-released/
- Drop fix-building-with-glib-2.43+.patch and fix-g++5.0-build.patch,
  merged upstream
- Drop libqt5-qtwebkit-CVE-2015-8079.patch, upstreamed
* Wed May 20 2015 mlin@suse.com
- A bunch update to Qt5 5.3.2 for SLE12 SP1, bsc#931622
- Add libqt5-qtwebkit-CVE-2015-8079.patch for CVE-2015-8079, bsc#954210
* Wed Sep 24 2014 ro@suse.de
- use -g1 on s390/s390x as well as on the other architectures
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2 final
  * No changes since previous snapshot
  * Use official tars
* Thu Sep  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.2~git20140904 (rd8bc98b):
  * Tip of the bugfix 5.3.2 branch:
  * Fix key identifier for comma key ("Separator")
  * Fix fallback conversion of recognized objects
  * Fix regression in QQuickWebView's transparent backgound
  * Fix crash in DeviceOrientationController when
    !HAVE(QTSENSORS)
  * Fix case in documentation of qobjectbridge bindings
  * Do not add QStyle padding on top of default padding
  * [WK2] Update text upon item selection for menu lists
  * Do not use title as the primary text of dragged or
    copied links
  * Show placeholder text when focused
  * Do not override padding in textfields
  * Avoid crash when hidePopup is called multiple times
  * Added support for appending an escaped SegmentedString to
    another.
  * QWebPage crashes on drag without QWidget view
  * Crash during exception unwinding
  * Bad cast from CSSInitialValue to CSSValueList
  * use after free in WebCore::DocumentOrderedMap::remove /
    WebCore::TreeScope::removeElementById
  * define DOUBLE_CONVERSION_CORRECT_DOUBLE_OPERATIONS on HPPA
  * Actually load icc.prf for the Intel compiler
  * Prevent interpreting URL parameter for Qt plugins
    as content URLs.
  * Fix android build error about already defined struct.
  * Fix SpeculateCellOperand ASSERT failure in DFG for
    32-bit builds.
  * QtWebKitWidgets should not depend directly on QtQuick
  * QWebHitTestResult::element() should return
    the inner element
  * Specify location of CMake tests
  * Fix WebView crash when using gcc 4.9.
  * Fix debug builds of qtwebkit on linux-icc
  * Qt5WebKitWidgets should keep private dependencies private
  * Prevent crashes when the QWebView gets reparented.
  * Fix build with gcc 4.4
  * Add qtxmlpatters to sync.profile
  * GraphicsContext for Qt: add
    popTransparencyLayerInternal method.
  * Bump version
- Reduce general constraints to 4GB, and leave 7GB only for s390x
- Enable qtlocation integration
* Fri Aug 15 2014 behlert@suse.de
- _constraints modified: building requires 7GB on some platforms
  (e.g. s390x)
* Mon Jul 21 2014 mlin@suse.com
- Workaround ppc64le build failures due to OOM issue, hardcoded -j4
  jobs, found/fixed by Dinar Valeev(dvaleev@suse.com)
* Wed Jun 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.1
  * Bugfix release, for more details please see:
    http://blog.qt.digia.com/blog/2014/06/25/qt-5-3-1-released/
* Mon Jun  2 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
- Make private headers noarch
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Drop libudev BuildRequires, it's loaded on runtime
  (change made in commit 36321b9aaeedef1232d464d3dd7d03f39b7f7f37)
* Tue May 27 2014 hrvoje.senjan@gmail.com
- Build with pkgconfig(libudev), not pkgconfig(udev)
* Mon May 19 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 final
  * Minor bugfixes over previous RC
* Thu May  8 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 RC
  * For more details, please see
  http://blog.qt.digia.com/blog/2014/05/08/qt-5-3-release-candidate-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
* Wed Apr 23 2014 dmueller@suse.com
- fix build for aarch64
* Fri Apr  4 2014 fcrozat@suse.com
- Build with gstreamer 1.0 API for SLE12 also.
* Wed Apr  2 2014 hrvoje.senjan@gmail.com
- Build with gstreamer 1.0 API for 13.2 and newer
* Tue Mar 25 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0 beta
  * New feature release, please see
  http://blog.qt.digia.com/blog/2014/03/25/qt-5-3-beta-released/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.3
- Drop aarch64-support.patch, dont-pollute-prl-and-pc-files.patch
  and fix-no-jit-build.patch: merged upstream
* Wed Feb 26 2014 hrvoje.senjan@gmail.com
- Added dont-pollute-prl-and-pc-files.patch from upstream - fixes
  issue where private dependencies (such as e.g. gstreamer) where
  marked as public
- As per patch, remove all external/private Requires of devel
  subpackages
* Wed Feb  5 2014 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * For more details please see:
    http://blog.qt.digia.com/blog/2014/02/05/qt-5-2-1-released/
- Remove libtool archives from packages
- Change aarch64-support.patch to upstream version (merged for 5.3)
* Tue Dec 17 2013 uweigand@de.ibm.com
- Add ppc64le-support.patch: Support powerpc64le-linux.
* Mon Dec 16 2013 hrvoje.senjan@gmail.com
- Make libqt5 BuildRequires packages naming consistent:
  use libqt5-$upstreammodulename-(devel, private-headers-devel)
- Remove ancient provides/obsoletes
- Create libqt5-qtwebkit-devel libqt5-qtwebkitprivate-headers-devel
  packages
* Thu Dec 12 2013 hrvoje.senjan@gmail.com
- Update to 5.2.0 final:
  * For more details please see:
    http://blog.qt.digia.com/blog/2013/12/12/qt-5-2-released-the-best-qt-yet/
    http://qt-project.org/qt5/qt52
    http://qt.digia.com/Product/Whats-New/Qt-52/
* Fri Nov 29 2013 hrvoje.senjan@gmail.com
- Update to 5.2 rc1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/11/29/qt-5-2-release-candidate-1-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Drop pkgconfig(Qt5Multimedia) BuildRequires: Qt5Multimedia is used
  only if gstreamer is not used
* Thu Nov 28 2013 ro@suse.de
- fix-no-jit-build.patch:
  fix build on ppc and s390 by disabling JIT
* Fri Nov 15 2013 hrvoje.senjan@gmail.com
- Adjust 04_enable_debug_information.diff for more memory saving
- Remove libQt5Script-devel from both devel package Requires and
  BuildRequires, not needed
* Wed Oct 23 2013 hrvoje.senjan@gmail.com
- Update to 5.2 beta1
  * New feature release, please see
  http://blog.qt.digia.com/blog/2013/10/23/qt-5-2-beta-available/
  and http://qt-project.org/wiki/New-Features-in-Qt-5.2
- Droped bison3.patch, included in this release
* Fri Oct 18 2013 hrvoje.senjan@gmail.com
- Added 03_hide_std_symbols.diff, 04_enable_debug_information.diff,
  aarch64-support.patch and reduce-link-optimization.diff -- those
  resolve linking/build failures on arm/aarch64
* Wed Oct 16 2013 hrvoje.senjan@gmail.com
- Change constrains, so it requires 5Gb of memory, instead of 4Gb
  physical memory
* Fri Oct  4 2013 hrvoje.senjan@gmail.com
- Drop the memory check from the spec, we are utilizing _constraints
  for that. Also reduce the processor constraint to 4.
* Tue Oct  1 2013 hrvoje.senjan@gmail.com
- Added bison3.patch, fixes build with bison3
- Postpone gstreamer 1.0 support for 13.2
* Thu Aug 29 2013 hrvoje.senjan@gmail.com
- Update to version 5.1.1:
  * Bugfix release, please see
  http://blog.qt.digia.com/blog/2013/08/28/qt-5-1-1-released/
  http://qt.gitorious.org/qt/qtwebkit/blobs/release/dist/changes-5.1.1
  and http://qt-project.org/wiki/Qt511KnownIssues for known issues
- Small spec cleanup
* Sat Aug  3 2013 tittiatcoke@gmail.com
- Adjust package naming according to openSUSE standards
* Sun Jul  7 2013 stephan.binner@basyskom.com
- update to Qt 5.1 release
* Tue Jun 18 2013 stephan.binner@basyskom.com
- update to Qt 5.1 RC 1
* Mon May 20 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Beta 1
* Tue Apr  9 2013 stephan.binner@basyskom.com
- update to Qt 5.1 Alpha 1
* Wed Jan 30 2013 stephan.binner@basyskom.com
- update to Qt 5.0.1
* Wed Dec 19 2012 stephan.binner@basyskom.com
- update to Qt 5.0 release
* Thu Dec 13 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 2
* Thu Dec  6 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Release Candidate 1
* Thu Nov 15 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 2
* Thu Aug 30 2012 stephan.binner@basyskom.com
- update to Qt 5.0 Beta 1 release
* Thu May 24 2012 stephan.binner@basyskom.com
- update to newer Alpha snapshot / Beta candidate
* Fri Apr 13 2012 stephan.binner@basyskom.com
- rework package splitting for Qt 5 modularization
* Thu Apr  5 2012 dmueller@suse.com
- Initial packaging (Qt 5.0 Alpha)
